package com.palmnest.application.dto;

public class PushCustomMessageVo {
	private String id;
    private String code;
    private String url;
    private String users;
    private String title;
    private String content;
    //@ApiModelProperty("消息编码")
    private String mediaMessageType;
    //@ApiModelProperty("消息提示类型 1:正常通知 2：自定义消息")
    private String messageType;

    //@ApiModelProperty("音频文件code")
    private String mediaFileCode;
    //@ApiModelProperty("音频文件名称")
    private String mediaFileName;
   // @ApiModelProperty("音频文件url")
    private String mediaFileUrl;

    //@ApiModelProperty("音频文件标题")
    private String mediaPushTitle;
    //@ApiModelProperty("音频文件内容")
    private String mediaPushContent;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getUsers() {
		return users;
	}
	public void setUsers(String users) {
		this.users = users;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getMediaMessageType() {
		return mediaMessageType;
	}
	public void setMediaMessageType(String mediaMessageType) {
		this.mediaMessageType = mediaMessageType;
	}
	public String getMessageType() {
		return messageType;
	}
	public void setMessageType(String messageType) {
		this.messageType = messageType;
	}
	public String getMediaFileCode() {
		return mediaFileCode;
	}
	public void setMediaFileCode(String mediaFileCode) {
		this.mediaFileCode = mediaFileCode;
	}
	public String getMediaFileName() {
		return mediaFileName;
	}
	public void setMediaFileName(String mediaFileName) {
		this.mediaFileName = mediaFileName;
	}
	public String getMediaFileUrl() {
		return mediaFileUrl;
	}
	public void setMediaFileUrl(String mediaFileUrl) {
		this.mediaFileUrl = mediaFileUrl;
	}
	public String getMediaPushTitle() {
		return mediaPushTitle;
	}
	public void setMediaPushTitle(String mediaPushTitle) {
		this.mediaPushTitle = mediaPushTitle;
	}
	public String getMediaPushContent() {
		return mediaPushContent;
	}
	public void setMediaPushContent(String mediaPushContent) {
		this.mediaPushContent = mediaPushContent;
	}
    
    

}
